Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.print
Class JRPrinterAWT

    java.lang.Object
      net.sf.jasperreports.engine.print.JRPrinterAWT

All Implemented Interfaces:
  java.awt.print.Printable

    public class JRPrinterAWT

extends java.lang.Object
implements java.awt.print.Printable

Version:
  $Id: JRPrinterAWT.java 3940 2010-08-20 10:35:15Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Field Summary

Fields inherited from interface java.awt.print.Printable
`NO_SUCH_PAGE, PAGE_EXISTS`

Constructor Summary
`protected` | `JRPrinterAWT(JasperPrint jrPrint)`

Method Summary
`static long` | `getImageSize(JasperPrint jasperPrint, float zoom)`
`static void` | `initPrinterJobFields(java.awt.print.PrinterJob job)` Fix for bug ID 6255588 from Sun bug database
`int` | `print(java.awt.Graphics graphics, java.awt.print.PageFormat pageFormat, int pageIndex)`
`static boolean` | `printPages(JasperPrint jrPrint, int firstPageIndex, int lastPageIndex, boolean withPrintDialog)`
`static java.awt.Image` | `printPageToImage(JasperPrint jrPrint, int pageIndex, float zoom)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JRPrinterAWT

    protected JRPrinterAWT(JasperPrint jrPrint)
                    throws JRException

Throws:
  `JRException`

Method Detail

### printPages

    public static boolean printPages(JasperPrint jrPrint,
                                     int firstPageIndex,
                                     int lastPageIndex,
                                     boolean withPrintDialog)
                              throws JRException

  Throws:
    `JRException`

### printPageToImage

    public static java.awt.Image printPageToImage(JasperPrint jrPrint,
                                                  int pageIndex,
                                                  float zoom)
                                           throws JRException

  Throws:
    `JRException`

### print

    public int print(java.awt.Graphics graphics,
                     java.awt.print.PageFormat pageFormat,
                     int pageIndex)
              throws java.awt.print.PrinterException

  Specified by:
    `print` in interface `java.awt.print.Printable`
  Throws:
    `java.awt.print.PrinterException`

### initPrinterJobFields

    public static void initPrinterJobFields(java.awt.print.PrinterJob job)

  Fix for bug ID 6255588 from Sun bug database

  Parameters:
    `job` - print job that the fix applies to

### getImageSize

    public static long getImageSize(JasperPrint jasperPrint,
                                    float zoom)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com